Crazy Eddies GUI System: CEGUI::PropertyDim Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
CEGUI::PropertyDim Class Reference

Dimension type that represents the value of a Window property. Implements BaseDim interface. More...

Inheritance diagram for CEGUI::PropertyDim:
[legend]
Collaboration diagram for CEGUI::PropertyDim:
[legend]

List of all members.

## Public Member Functions
| PropertyDim (const String &name, const String &property, DimensionType type)
| Constructor.
## Protected Member Functions
float | getValue_impl (const Window &wnd) const
| Implementataion method to return the base value for this BaseDim. This method should not attempt to apply the mathematical operator; this is handled automatically.
float | getValue_impl (const Window &wnd, const Rect &container) const
| Implementataion method to return the base value for this BaseDim. This method should not attempt to apply the mathematical operator; this is handled automatically by BaseDim.
void | writeXMLElementName_impl (XMLSerializer &xml_stream) const
| Implementataion method to output real xml element name.
void | writeXMLElementAttributes_impl (XMLSerializer &xml_stream) const
| Implementataion method to create the element attributes.
BaseDim * | clone_impl () const
| Implementataion method to return a clone of this sub-class of BaseDim. This method should not attempt to clone the mathematical operator or operand; theis is handled automatically by BaseDim.

## Detailed Description

Dimension type that represents the value of a Window property. Implements BaseDim interface.

## Constructor & Destructor Documentation

CEGUI::PropertyDim::PropertyDim | ( | const String & | name,
|  | const String & | property,
|  | DimensionType | type
| ) |  |

Constructor.

Parameters:

  name | String holding the name suffix of the window on which the property is to be accessed.
  property | String object holding the name of the property this PropertyDim represents the value of. The property named should represent either a UDim value or a simple float value - dependning upon what type is specified as.
  type | DimensionType value indicating what dimension named property represents. The possible DimensionType values are as follows: DT_INVALID the property should represent a simple float value. DT_WIDTH the property should represent a UDim value where the scale is relative to the targetted Window's width. DT_HEIGHT the property should represent a UDim value where the scale is relative to the targetted Window's height. All other values will cause an InvalidRequestException exception to be thrown.